/*
 * This file has been generated by the onto2vocabularyclass tool
 * copyright (C) 2007-2008 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _SOPRANO_BOM_H_
#define _SOPRANO_BOM_H_

#include <QtCore/QUrl>

namespace Lino {
    namespace Vocabulary {
        namespace BOM {
            /**
             * http://purl.org/dc/elements/1.1/
             */
            QUrl bomNamespace();

            /**
             * http://purl.org/dc/elements/1.1/contributor 
             */
            QUrl contributor();

            /**
             * http://purl.org/dc/elements/1.1/creator 
             */
            QUrl creator();

            /**
             * http://purl.org/dc/elements/1.1/rights 
             */
            QUrl rights();

            /**
             * http://rdfs.org/sioc/ns#Thread 
             */
            QUrl Thread();

            /**
             * http://rdfs.org/sioc/ns#User 
             */
            QUrl User();

            /**
             * http://usefulinc.com/ns/doap#Project 
             */
            QUrl Project();

            /**
             * http://usefulinc.com/ns/doap#Version 
             */
            QUrl Version();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Activity 
             * 
             * Activities form a certain kind of log, tracking the changes 
             * occuring to an Issue 
             */
            QUrl Activity();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Attachment 
             * 
             * Attachments are files sent in together with the Issue's text 
             * or a comment 
             */
            QUrl Attachment();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Blocker 
             * 
             * a blocker denotes an issue which needs to be fixed in order to 
             * fix dependant defects. 
             */
            QUrl Blocker();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Closed 
             * 
             * The issue is closed, no more work or actions are planned on this 
             * issue 
             */
            QUrl Closed();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Comment 
             * 
             * A comment on a certain Issue 
             */
            QUrl Comment();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Component 
             * 
             * a Component of the software system an Issue may refer to. 
             */
            QUrl Component();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#ComputerSystem 
             * 
             * A ComputerSystem is the definition of an execution enviroment. 
             */
            QUrl ComputerSystem();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Critical 
             * 
             * The issue is of critical importance for the software project 
             */
            QUrl Critical();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Defect 
             * 
             * A Defect is an Issue which is particularly about the malfunction 
             * of a software system. 
             */
            QUrl Defect();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Duplicate 
             * 
             * this issue has already been addressed elsewhere 
             */
            QUrl Duplicate();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Enhancement 
             * 
             * An Enhancement is an Issue related to the functional extension 
             * of a software system. 
             */
            QUrl Enhancement();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Feature 
             * 
             * Work-around classification for features 
             * 
             */
            QUrl Feature();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Fixed 
             * 
             * the issue is fixed 
             */
            QUrl Fixed();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Invalid 
             * 
             * The description / content of the issue is insufficient 
             */
            QUrl Invalid();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Issue 
             * 
             * An Issue is an entity defining a certain topic concerning the 
             * development of a software system. An issue can be classified 
             * or discussed about. 
             */
            QUrl Issue();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Later 
             * 
             * For various reasons, an issue may be fixed in a later stage of 
             * the project 
             */
            QUrl Later();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Major 
             * 
             * Major importance 
             */
            QUrl Major();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Milestone 
             * 
             * A Milestone refers to a planned version of a software system. 
             */
            QUrl Milestone();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Minor 
             * 
             * Minor importance 
             */
            QUrl Minor();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Open 
             * 
             * The initial state of an issue 
             */
            QUrl Open();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#P1 
             */
            QUrl P1();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#P2 
             */
            QUrl P2();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#P3 
             */
            QUrl P3();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#P4 
             */
            QUrl P4();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#P5 
             */
            QUrl P5();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Priority 
             */
            QUrl Priority();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Product 
             * 
             * a Product is a functionally independant software system. 
             */
            QUrl Product();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Remind 
             * 
             * This issue is marked as a reminder for later development work. 
             */
            QUrl Remind();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Resolution 
             * 
             * The resolution gives a hint about the inner state of an issue 
             */
            QUrl Resolution();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Resolved 
             * 
             * State of an issue when it is believed to be fixed. This state may 
             * change when an issue goes into another fixing cycle. 
             */
            QUrl Resolved();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Severity 
             * 
             * Severity classifies issues 
             */
            QUrl Severity();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#ThirdParty 
             * 
             * This issue is due to a bug in a third party software component. 
             */
            QUrl ThirdParty();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Trivial 
             * 
             * Trivial importance 
             */
            QUrl Trivial();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#Verified 
             * 
             * State of an issue when it has been approved 
             */
            QUrl Verified();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#WontFix 
             * 
             * This issue won't be fixed (various reasons, i.e. it's a feature 
             * not a bug) 
             */
            QUrl WontFix();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#WorksForMe 
             * 
             * The described malfunction cannot be reproduced 
             */
            QUrl WorksForMe();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#added 
             */
            QUrl added();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#blocks 
             */
            QUrl blocks();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#bugURL 
             */
            QUrl bugURL();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#date 
             */
            QUrl date();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#dateOpened 
             */
            QUrl dateOpened();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#dependsOn 
             */
            QUrl dependsOn();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#description 
             */
            QUrl description();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#fileName 
             */
            QUrl fileName();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#fixes 
             */
            QUrl fixes();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#hasActivity 
             */
            QUrl hasActivity();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#hasAssignee 
             */
            QUrl hasAssignee();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#hasAttachment 
             */
            QUrl hasAttachment();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#hasCcPerson 
             */
            QUrl hasCcPerson();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#hasComment 
             */
            QUrl hasComment();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#hasCommentor 
             */
            QUrl hasCommentor();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#hasComponent 
             */
            QUrl hasComponent();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#hasComputerSystem 
             */
            QUrl hasComputerSystem();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#hasCreator 
             */
            QUrl hasCreator();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#hasInvolvedPerson 
             */
            QUrl hasInvolvedPerson();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#hasMilestone 
             */
            QUrl hasMilestone();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#hasPriority 
             */
            QUrl hasPriority();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#hasReporter 
             */
            QUrl hasReporter();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#hasSeverity 
             */
            QUrl hasSeverity();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#hasState 
             */
            QUrl hasState();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#hostsIssue 
             */
            QUrl hostsIssue();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#inProject 
             */
            QUrl inProject();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#isActivityOf 
             */
            QUrl isActivityOf();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#isAssigneeOf 
             */
            QUrl isAssigneeOf();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#isAttachmentOf 
             */
            QUrl isAttachmentOf();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#isCcPersonOf 
             */
            QUrl isCcPersonOf();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#isCommentOf 
             */
            QUrl isCommentOf();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#isCommentorOf 
             */
            QUrl isCommentorOf();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#isComponentOf 
             */
            QUrl isComponentOf();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#isComputerSystemOf 
             */
            QUrl isComputerSystemOf();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#isCreatorOf 
             */
            QUrl isCreatorOf();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#isFixedBy 
             */
            QUrl isFixedBy();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#isInvolvedPersonOf 
             */
            QUrl isInvolvedPersonOf();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#isIssueOf 
             */
            QUrl isIssueOf();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#isMilestoneOf 
             */
            QUrl isMilestoneOf();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#isPriorityOf 
             */
            QUrl isPriorityOf();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#isReporterOf 
             */
            QUrl isReporterOf();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#isStateOf 
             */
            QUrl isStateOf();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#keyword 
             */
            QUrl keyword();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#lastModified 
             */
            QUrl lastModified();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#moreImportant 
             */
            QUrl moreImportant();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#name 
             */
            QUrl name();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#number 
             */
            QUrl number();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#os 
             */
            QUrl os();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#performed 
             */
            QUrl performed();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#platform 
             */
            QUrl platform();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#removed 
             */
            QUrl removed();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#target 
             */
            QUrl target();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#text 
             */
            QUrl text();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#type 
             */
            QUrl type();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#version 
             */
            QUrl version();

            /**
             * http://www.ifi.unizh.ch/ddis/evoont/2008/11/bom#what 
             */
            QUrl what();

            /**
             * http://www.w3.org/2002/07/owl#Thing 
             */
            QUrl Thing();

            /**
             * http://www.w3.org/2005/01/wf/flow#NonTerminalState 
             */
            QUrl NonTerminalState();

            /**
             * http://www.w3.org/2005/01/wf/flow#State 
             */
            QUrl State();

            /**
             * http://www.w3.org/2005/01/wf/flow#Task 
             */
            QUrl Task();

            /**
             * http://www.w3.org/2005/01/wf/flow#TerminalState 
             */
            QUrl TerminalState();

            /**
             * http://xmlns.com/foaf/0.1/Person 
             */
            QUrl Person();
        }
    }
}

#endif
