/*
 * This file has been generated by the onto2vocabularyclass tool
 * copyright (C) 2007-2008 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _SOPRANO_LINO_H_
#define _SOPRANO_LINO_H_

#include <QtCore/QUrl>

namespace Lino {
    namespace Vocabulary {
        namespace LINO {
            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/
             */
            QUrl linoNamespace();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino 
             */
            QUrl lino();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Apprentice 
             */
            QUrl Apprentice();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Architecture 
             */
            QUrl Architecture();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Assigned 
             * 
             * This bug is not yet resolved, but is assigned to the proper person. 
             * From here bugs can be given to another person and become NEW, 
             * or resolved and become RESOLVED. 
             */
            QUrl Assigned();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#BSD 
             */
            QUrl BSD();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Blocking 
             */
            QUrl Blocking();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Bug 
             * 
             * Represents the actual bug which as an extension to bom:Issue. 
             */
            QUrl Bug();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Closed 
             * 
             * The bug is considered dead, the resolution is correct. Any zombie 
             * bugs who choose to walk the earth again must do so by becoming 
             * REOPENED. 
             */
            QUrl Closed();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Crash 
             */
            QUrl Crash();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Critical 
             */
            QUrl Critical();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#DebianTesting 
             */
            QUrl DebianTesting();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Discussion 
             */
            QUrl Discussion();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Documentation 
             */
            QUrl Documentation();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Driver 
             */
            QUrl Driver();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Enhancement 
             */
            QUrl Enhancement();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#FAQ 
             */
            QUrl FAQ();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Fedora 
             */
            QUrl Fedora();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#ForumPost 
             * 
             * Represents a post in a web forum. 
             */
            QUrl ForumPost();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#ForumThread 
             * 
             * Represents a thread in a web forum. 
             */
            QUrl ForumThread();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#FreeBSD 
             */
            QUrl FreeBSD();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Grave 
             */
            QUrl Grave();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Guide 
             */
            QUrl Guide();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Hardware 
             */
            QUrl Hardware();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#High 
             */
            QUrl High();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#HowTo 
             */
            QUrl HowTo();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Journeyer 
             */
            QUrl Journeyer();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Linux 
             */
            QUrl Linux();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Low 
             */
            QUrl Low();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#MAC 
             */
            QUrl MAC();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Major 
             */
            QUrl Major();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Mandriva 
             */
            QUrl Mandriva();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Mandriva2008 
             */
            QUrl Mandriva2008();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Mandriva2008_1 
             */
            QUrl Mandriva2008_1();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Mandriva2009 
             */
            QUrl Mandriva2009();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Mandriva2009_1 
             */
            QUrl Mandriva2009_1();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Manufacturer 
             * 
             * The manufacturer of a piece of hardware 
             */
            QUrl Manufacturer();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Master 
             */
            QUrl Master();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Minor 
             */
            QUrl Minor();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#NetBSD 
             */
            QUrl NetBSD();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#NeutralWorkLevel 
             */
            QUrl NeutralWorkLevel();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#New 
             * 
             * This bug has recently been added to the assignee's list of bugs 
             * and must be processed. Bugs in this state may be accepted, and 
             * become ASSIGNED, passed on to someone else, and remain NEW, 
             * or resolved and marked RESOLVED. 
             */
            QUrl New();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Normal 
             */
            QUrl Normal();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Observer 
             */
            QUrl Observer();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#OpenSuSE 
             */
            QUrl OpenSuSE();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#OperatingSystem 
             */
            QUrl OperatingSystem();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Package 
             * 
             * A software package, such as an rpm or a deb. 
             */
            QUrl Package();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Redhat 
             */
            QUrl Redhat();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Reopened 
             * 
             * This bug was once resolved, but the resolution was deemed incorrect. 
             * For example, a WORKSFORME bug is REOPENED when more information 
             * shows up and the bug is now reproducible. From here bugs are either 
             * marked ASSIGNED or RESOLVED. 
             */
            QUrl Reopened();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Resolved 
             * 
             * A resolution has been taken, and it is awaiting verification 
             * by QA. From here bugs are either re-opened and become REOPENED, 
             * are marked VERIFIED, or are closed for good and marked CLOSED. 
             */
            QUrl Resolved();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Severity 
             * 
             * The severity of a bug. Use predefined instances only. 
             */
            QUrl Severity();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Slackware 
             */
            QUrl Slackware();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Software 
             * 
             * A software such as KMail or ssh 
             */
            QUrl Software();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Trivial 
             */
            QUrl Trivial();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#TrustLevel 
             * 
             * A trust level, like in Advogato.org 
             */
            QUrl TrustLevel();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Unconfirmed 
             * 
             * This bug has recently been added to the database. Nobody has 
             * validated that this bug is true. Users who have the 'canconfirm' 
             * permission set may confirm this bug, changing its state to NEW. 
             * Or, it may be directly resolved and marked RESOLVED. 
             */
            QUrl Unconfirmed();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Verified 
             * 
             * QA has looked at the bug and the resolution and agrees that the 
             * appropriate resolution has been taken. Bugs remain in this 
             * state until the product they were reported against actually 
             * ships, at which point they become CLOSED. 
             */
            QUrl Verified();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Windows 
             */
            QUrl Windows();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#Wishlist 
             */
            QUrl Wishlist();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#WorkLevel 
             */
            QUrl WorkLevel();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#WorksNot 
             */
            QUrl WorksNot();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#WorksOutOfTheBox 
             */
            QUrl WorksOutOfTheBox();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#WorksPartially 
             */
            QUrl WorksPartially();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#WorksWithModification 
             */
            QUrl WorksWithModification();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#architecture 
             * 
             * The underlying architecture of the bug reporter's system. 
             */
            QUrl architecture();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#belongsToThread 
             */
            QUrl belongsToThread();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#bugSeverity 
             * 
             * The severity of the bug. This includes blocking, critical, 
             * grave, major, crash, normal, enhancement, wishlist, minor 
             * and trivial 
             */
            QUrl bugSeverity();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#bugzilla 
             * 
             * Link to the original bug report on a bug reporting system. 
             */
            QUrl bugzilla();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#downloadURL 
             * 
             * The address the package can be downloaded from. 
             */
            QUrl downloadURL();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#forHardware 
             * 
             * The hardware this driver is for. 
             */
            QUrl forHardware();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#forOperatingSystem 
             * 
             * The operating system the package is for. 
             */
            QUrl forOperatingSystem();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#hardware 
             * 
             * An optional hardware component the bug report refers to. 
             */
            QUrl hardware();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#hardwareManufacturer 
             * 
             * The manufacturer of a piece of hardware 
             */
            QUrl hardwareManufacturer();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#hasAssignee 
             */
            QUrl hasAssignee();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#hasCcPerson 
             */
            QUrl hasCcPerson();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#hasCommentor 
             */
            QUrl hasCommentor();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#hasInvolvedPerson 
             */
            QUrl hasInvolvedPerson();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#hasReporter 
             */
            QUrl hasReporter();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#hasResolution 
             * 
             * The resolution of an issue. Only such issues that have state 
             * Resolved, Verified, or Closed can have a resolution. 
             */
            QUrl hasResolution();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#hasTrustLevel 
             */
            QUrl hasTrustLevel();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#hasWorkLevel 
             * 
             * The compatibility level of the package for the corresponding 
             * hardware/operating system. 
             */
            QUrl hasWorkLevel();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#isAssigneeOf 
             */
            QUrl isAssigneeOf();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#isCcPersonOf 
             */
            QUrl isCcPersonOf();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#isCommentorOf 
             */
            QUrl isCommentorOf();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#isInvolvedPersonOf 
             */
            QUrl isInvolvedPersonOf();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#isRelatedToOS 
             * 
             * relates to an operating system 
             */
            QUrl isRelatedToOS();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#isReporterOf 
             */
            QUrl isReporterOf();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#operatingSystem 
             * 
             * The operating system the software exhibiting the bug was running 
             * under. 
             */
            QUrl operatingSystem();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#providesSoftware 
             * 
             * The software a package provides. A package can provide multiple 
             * softwares 
             */
            QUrl providesSoftware();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#relatedBug 
             * 
             * relates a forum thread or a bug to another bug. 
             */
            QUrl relatedBug();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#relatedPackage 
             * 
             * An optional software package (rpm or deb or other) providing 
             * the software that shows the bug. 
             */
            QUrl relatedPackage();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#relatedThread 
             * 
             * relates something to a forum thread. 
             */
            QUrl relatedThread();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#report 
             * 
             * A lino:Bug can have multiple bug reports. A simple indicator 
             * for matching bug reports is bom:fixes 
             */
            QUrl report();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#software 
             * 
             * relates to a software package 
             */
            QUrl software();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#version 
             * 
             * The version string of a software or an operating system. Example: 
             * 2.01 or 1.2.9 
             */
            QUrl version();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#x86 
             */
            QUrl x86();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino#x86_64 
             */
            QUrl x86_64();

            /**
             * http://nepomuk.kde.org/ontologies/2008/11/25/lino/metadata 
             */
            QUrl metadata();
        }
    }
}

#endif
