/*
 * This file has been generated by the onto2vocabularyclass tool
 * copyright (C) 2007-2008 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _SOPRANO_WF_H_
#define _SOPRANO_WF_H_

#include <QtCore/QUrl>

namespace Lino {
    namespace Vocabulary {
        namespace WF {
            /**
             * http://www.w3.org/2005/01/wf/flow#
             */
            QUrl wfNamespace();

            /**
             * http://www.w3.org/2005/01/wf/flow#Action 
             * 
             * The universal class of things which can change the state of a 
             * task. Included now: Creation, Transition. (Maybe in the future 
             * more -calculus constructions such as splitting & merging 
             * tasks, and import/export of obligations to a foreign opaque 
             * system.) 
             */
            QUrl Action();

            /**
             * http://www.w3.org/2005/01/wf/flow#Creation 
             * 
             * A creation is a change from existence to non-existence a task. 
             * Typical properties include date and/or source (a document 
             * causing the transition), and a final state. 
             */
            QUrl Creation();

            /**
             * http://www.w3.org/2005/01/wf/flow#NonTerminalState 
             * 
             * A state from which there are transisions. 
             */
            QUrl NonTerminalState();

            /**
             * http://www.w3.org/2005/01/wf/flow#State 
             * 
             * The application ontology defines states. 
             */
            QUrl State();

            /**
             * http://www.w3.org/2005/01/wf/flow#Task 
             * 
             * Something to be done in a wide sense, an agenda item at a meeting 
             * is one example, but any issue or task in this ontology is such 
             * a thing. The requirement for this framework was that it would 
             * allow one to customize ontologies for things such as agenda 
             * items, action items, working group issues with a spec, w3c Last 
             * Call issues, software bugs and administrative requests. In 
             * -calculus, a process. Make your type of issue a subclass of 
             * Task. 
             */
            QUrl Task();

            /**
             * http://www.w3.org/2005/01/wf/flow#TerminalState 
             * 
             * A state from which there are no transisions. 
             */
            QUrl TerminalState();

            /**
             * http://www.w3.org/2005/01/wf/flow#Transition 
             * 
             * A transition is a change of state of a task. Typical properties 
             * include date and/or source (a document causing the transition), 
             * and a final state. 
             */
            QUrl Transition();

            /**
             * http://www.w3.org/2005/01/wf/flow#affects 
             */
            QUrl affects();

            /**
             * http://www.w3.org/2005/01/wf/flow#allowedTransitions 
             * 
             * The state machine is defined by these lists of transition allowed 
             * for each issue. (An interesting option in the Web is to make an 
             * allowed transition to a state in soemone else's ontology, which 
             * in turn allows transitions into many ontologies. So a finite 
             * state maxchine may become very large. In practice this means 
             * that a task handed off to another organization may be processed 
             * on all kinds of ways.) 
             */
            QUrl allowedTransitions();

            /**
             * http://www.w3.org/2005/01/wf/flow#assignee 
             * 
             * Some transitions are parameterized by the person ro group to 
             * who a task has been assigned. 
             */
            QUrl assignee();

            /**
             * http://www.w3.org/2005/01/wf/flow#creates 
             */
            QUrl creates();

            /**
             * http://www.w3.org/2005/01/wf/flow#final 
             */
            QUrl final();

            /**
             * http://www.w3.org/2005/01/wf/flow#issue 
             * 
             * A transition changes the state of the given issue. 
             */
            QUrl issue();

            /**
             * http://www.w3.org/2005/01/wf/flow#requires 
             * 
             * To be a valid transition, a necessary (but not necessarily sufficuent) 
             * condition is that there be recorded these properties for the 
             * record 
             */
            QUrl requires();

            /**
             * http://www.w3.org/2005/01/wf/flow#source 
             * 
             * The source of a transition is the document by which it happened 
             */
            QUrl source();

            /**
             * http://www.w3.org/2005/01/wf/flow#state 
             */
            QUrl state();

            /**
             * http://www.w3.org/2005/01/wf/flow#task 
             */
            QUrl task();
        }
    }
}

#endif
