/* This file is part of the Nepomuk Project
   Copyright (c) 2009 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef _LINO_HARDWARE_ANNOTATION_PLUGIN_H_
#define _LINO_HARDWARE_ANNOTATION_PLUGIN_H_

#include <nepomuk/annotationplugin.h>

namespace Soprano {
    namespace Util {
        class AsyncResult;
    }
}

class LinoHardwareAnnotationPlugin : public Nepomuk::AnnotationPlugin
{
    Q_OBJECT

public:
    LinoHardwareAnnotationPlugin( QObject* parent, const QVariantList& = QVariantList() );
    ~LinoHardwareAnnotationPlugin();

protected:
    void doGetPossibleAnnotations( const Nepomuk::Resource& resource, const QString& filter );

private Q_SLOTS:
    void slotHardwareQueryResult( Soprano::Util::AsyncResult* result );

private:
    Soprano::Util::AsyncResult* m_lastResult;
    Nepomuk::Resource m_resource;
    QString m_filter;
};

#endif
