/* This file is part of the Nepomuk Project
   Copyright (c) 2008 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef _LINO_BUG_FILTER_MODEL_H_
#define _LINO_BUG_FILTER_MODEL_H_

#include <QtGui/QSortFilterProxyModel>
#include <QtCore/QList>
#include <QtCore/QUrl>

namespace Lino {
    class BugFilterModel : public QSortFilterProxyModel
    {
        Q_OBJECT

    public:
        BugFilterModel( QObject* parent );
        ~BugFilterModel();

    public Q_SLOTS:
        void setStateFilter( const QList<QUrl>& filter );

    protected:
        bool filterAcceptsRow( int source_row, const QModelIndex& source_parent ) const;

    private:
        class Private;
        Private* const d;
    };
}

#endif
