/*
 * linobrowser.h
 *
 * Copyright (C) 2008 Sebastian Trüg <trueg@kde.org>
 */
#ifndef LINOBROWSER_H
#define LINOBROWSER_H


#include <kxmlguiwindow.h>

#include "ui_prefs_base.h"

class LinoBrowserView;
class QPrinter;
class KToggleAction;
class KUrl;
class UrlHistory;
class QueryWidget;

/**
 * This class serves as the main window for LinoBrowser.  It handles the
 * menus, toolbars, and status bars.
 *
 * @short Main window class
 * @author Sebastian Trüg <trueg@kde.org>
 * @version 0.1
 */
class LinoBrowser : public KXmlGuiWindow
{
    Q_OBJECT

public:
    /**
     * Default Constructor
     */
    LinoBrowser();

    /**
     * Default Destructor
     */
    virtual ~LinoBrowser();

private slots:
    void optionsPreferences();
    void loadAllBugs();
    void slotUploadAnnotations();

private:
    void setupActions();
    void setupQueryWidget();

private:
    Ui::prefs_base ui_prefs_base ;
    LinoBrowserView *m_view;

    QueryWidget* m_queryWidget;

    KToggleAction *m_toolbarAction;
    KToggleAction *m_statusbarAction;

    UrlHistory* m_urlHistory;
};

#endif // _LINOBROWSER_H_
