#include "linobrowser.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <KDE/KLocale>

static const char description[] =
    I18N_NOOP("Small browser for the LINO Bug database");

static const char version[] = "0.1";

int main(int argc, char **argv)
{
    KAboutData about("linobrowser",
                     0,
                     ki18n("LinoBrowser"),
                     version,
                     ki18n(description),
                     KAboutData::License_GPL,
                     ki18n("(C) 2008 Sebastian Trüg"),
                     KLocalizedString(),
                     0,
                     "trueg@kde.org");
    about.addAuthor( ki18n("Sebastian Trüg"), KLocalizedString(), "trueg@kde.org" );
    KCmdLineArgs::init(argc, argv, &about);

    KCmdLineOptions options;
    options.add("+[URL]", ki18n( "Bug to open" ));
    KCmdLineArgs::addCmdLineOptions(options);
    KApplication app;

    LinoBrowser *widget = new LinoBrowser;

    // see if we are starting with session management
    if (app.isSessionRestored())
    {
        RESTORE(LinoBrowser);
    }
    else
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
        if (args->count() == 0)
        {
            //linobrowser *widget = new linobrowser;
            widget->show();
        }
        else
        {
            int i = 0;
            for (; i < args->count(); i++)
            {
                //linobrowser *widget = new linobrowser;
                widget->show();
            }
        }
        args->clear();
    }

    return app.exec();
}
