/* This file is part of the Nepomuk Project
   Copyright (c) 2008 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#include "querywidget.h"

#include <QtGui/QPushButton>

#include <KLocale>
#include <KComboBox>

QueryWidget::QueryWidget( QWidget* parent )
    : QDockWidget( i18n( "Query" ), parent )
{
    setAllowedAreas( Qt::TopDockWidgetArea|Qt::BottomDockWidgetArea );
    setFeatures( DockWidgetClosable|DockWidgetMovable|DockWidgetFloatable|DockWidgetVerticalTitleBar );
    m_mainWidget = new QWidget( this );
    setupUi( m_mainWidget );
    setWidget( m_mainWidget );
    connect( m_queryButton, SIGNAL( clicked() ), this, SLOT( slotQueryButtonClicked() ) );
}


QueryWidget::~QueryWidget()
{
}


void QueryWidget::slotQueryButtonClicked()
{
    emit queryExecuted( m_comboApplication->currentText(), m_editQuery->text() );
}

#include "querywidget.moc"
