/* This file is part of the Nepomuk Project
   Copyright (c) 2008 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef _LINO_QUERY_WIDGET_H_
#define _LINO_QUERY_WIDGET_H_

#include <QtGui/QDockWidget>

#include "ui_querywidget_base.h"


class QueryWidget : public QDockWidget, public Ui::QueryWidget
{
    Q_OBJECT

public:
    QueryWidget( QWidget* parent );
    ~QueryWidget();

Q_SIGNALS:
    void queryExecuted( const QString& app, const QString& query );

private Q_SLOTS:
    void slotQueryButtonClicked();

private:
    QWidget* m_mainWidget;
};

#endif
