/* This file is part of the Nepomuk Project
   Copyright (c) 2008 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef _LINO_RECOMMENDED_BUG_MODEL_H_
#define _LINO_RECOMMENDED_BUG_MODEL_H_

#include "bugmodel.h"
#include "bug.h"

namespace Soprano {
    namespace Client {
        class SparqlModel;
    }
    namespace Util {
        class AsyncResult;
    }
}

namespace Lino {
    class RecommendedBugModel : public BugModel
    {
        Q_OBJECT

    public:
        RecommendedBugModel( QObject* parent = 0 );
        ~RecommendedBugModel();

        void setParentBug( const Bug& bug );

        Qt::ItemFlags flags( const QModelIndex& index ) const;
        QVariant data( const QModelIndex& index, int role ) const;
        int rowCount( const QModelIndex& parent ) const;

    private Q_SLOTS:
        void slotBugQueryReady( Soprano::Util::AsyncResult* result );

    private:
        Bug m_parentBug;
        bool m_requestFinished;
        Soprano::Client::SparqlModel* m_model;
        const Soprano::Util::AsyncResult* m_currentResult;
    };
}

#endif
