/* This file is part of the Nepomuk Project
   Copyright (c) 2008 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef _URL_HISTORY_H_
#define _URL_HISTORY_H_

#include <QtCore/QObject>
#include <QtCore/QUrl>

class KAction;

class UrlHistory : public QObject
{
    Q_OBJECT

public:
    UrlHistory( QObject* parent = 0 );
    ~UrlHistory();

    KAction* backwardAction();
    KAction* forwardAction();

Q_SIGNALS:
    void urlChanged( const QUrl& url );
    void backwardAvailable( bool available );
    void forwardAvailable( bool available );

public Q_SLOTS:
    void backward();
    void forward();
    void setUrl( const QUrl& );

private:
    class Private;
    Private* const d;
};

#endif
