/* This file is part of the Nepomuk Project
   Copyright (c) 2009 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef _BUGGER_POPUP_H_
#define _BUGGER_POPUP_H_

#include <KPassivePopup>
#include <Solid/Device>

#include <Soprano/Node> // for qHash(QUrl)
#include <Nepomuk/Types/Class>

#include "webpage.h"

#include <QtCore/QList>
#include <QtCore/QHash>

class QGroupBox;
class BuggerTray;
class QVBoxLayout;
class QLabel;

class BuggerPopup : public KPassivePopup
{
    Q_OBJECT

public:
    BuggerPopup( QWidget* parent = 0 );
    ~BuggerPopup();

    void setDevice( const Solid::Device& dev );
    void setLinks( const WebPage::List& bugs, const WebPage::List& threads, const WebPage::List& other );

    static void showBugsForDevice( const Solid::Device& dev, 
                                   const WebPage::List& bugs, 
                                   const WebPage::List& threads, 
                                   const WebPage::List& other, 
                                   BuggerTray* parent );

private Q_SLOTS:
    void openLink( const QString& url );

private:
    void createLink( const QString& title, const KUrl& url, QWidget* parent );
    QGroupBox* groupBoxForType( Nepomuk::Types::Class type );

    QLabel* m_title;
    QHash<QUrl, QGroupBox*> m_boxes;
    QVBoxLayout* m_boxLayout;
};

#endif
