/* This file is part of the Nepomuk Project
   Copyright (c) 2009 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef _BUGGER_TRAY_H_
#define _BUGGER_TRAY_H_

#include <ksystemtrayicon.h>
#include <Solid/Device>

namespace Soprano {
    namespace Util {
        class AsyncResult;
    }
    namespace Client {
        class SparqlModel;
    }
}

class BuggerTray : public KSystemTrayIcon
{
    Q_OBJECT

public:
    BuggerTray();

private Q_SLOTS:
    void slotDeviceAdded( const QString& udi );
    void slotResultReady( Soprano::Util::AsyncResult* result );

private:
    Soprano::Client::SparqlModel* m_model;
    Soprano::Util::AsyncResult* m_lastRequest;
    Solid::Device m_device;
};

#endif
