/* This file is part of the Nepomuk Project
   Copyright (c) 2009 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/


#include <stdio.h>
#include <stdlib.h>

#include <klocale.h>
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <kuniqueapplication.h>

#include "buggertray.h"

extern "C" int KDE_EXPORT kdemain(int argc, char *argv[])
{
    KAboutData about("hwbugger",
                     0,
                     ki18n("Lino Bugger"),
                     "0.1",
                     ki18n("A tool which queries bugs and tutorials based on plugged in devices"),
                     KAboutData::License_GPL,
                     ki18n("(C) 2009 Sebastian Trüg"),
                     KLocalizedString(),
                     0,
                     "trueg@kde.org");
    about.addAuthor( ki18n("Sebastian Trüg"), KLocalizedString(), "trueg@kde.org" );

    KCmdLineArgs::init( argc, argv, &about );
    KUniqueApplication::addCmdLineOptions();

    if (!KUniqueApplication::start()) {
        fprintf(stderr, "Bugger is already running!\n");
        exit(0);
    }
    KUniqueApplication app;
    app.disableSessionManagement();
    app.setQuitOnLastWindowClosed( false );

    BuggerTray bugger;
    return app.exec();
}
