/* This file is part of the Nepomuk Project
   Copyright (c) 2009 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef _LINO_ANNOTATION_UPLOADER_H_
#define _LINO_ANNOTATION_UPLOADER_H_

#include <KJob>

#include <Nepomuk/Resource>

namespace Lino {
    class AnnotationUploader : public KJob
    {
        Q_OBJECT

    public:
        ~AnnotationUploader();

        static AnnotationUploader* uploadAnnotations( const Nepomuk::Resource& res );
        static AnnotationUploader* uploadAnnotations( const QList<Nepomuk::Resource>& res );

        void start();

    private:
        AnnotationUploader( QObject* parent = 0 );

        class Private;
        Private* const d;

        Q_PRIVATE_SLOT( d, void _k_slotFinished() )
    };
}

#endif
