/* This file is part of the Nepomuk Project
   Copyright (c) 2009 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef _LINO_ANNOTATION_UPLOADER_P_H_
#define _LINO_ANNOTATION_UPLOADER_P_H_

#include "annotationuploader.h"

#include <QtCore/QThread>
#include <QtCore/QList>

#include <Nepomuk/Resource>


class Lino::AnnotationUploader::Private : public QThread
{
    Q_OBJECT

public:
    QList<Nepomuk::Resource> m_resources;

    AnnotationUploader* q;

    void run();
    void _k_slotFinished();

Q_SIGNALS:
    void infoMessage( KJob* job, const QString& plain, const QString& rich = QString() );
};

#endif
