/* This file is part of the Nepomuk Project
   Copyright (c) 2008 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef _LINO_BUG_H_
#define _LINO_BUG_H_

#include <QtCore/QSharedDataPointer>
#include <KUrl>

#include <nepomuk/thing.h>


namespace Lino {
    class Bug {
    public:
        Bug();
        Bug( const Bug& );
        ~Bug();

        Bug& operator=( const Bug& );

        bool isValid() const;

        QString title() const;
        QUrl resourceUri() const;
        Nepomuk::Resource remoteResource() const;
        Nepomuk::Resource localResource() const;
        QUrl state() const;
        KUrl bugReportUrl() const;

        void setTitle( const QString& );
        void setResourceUri( const QUrl& );
        void setState( const QUrl& state );
        void setBugReportUrl( const KUrl& );

    private:
        class Private;
        QSharedDataPointer<Private> d;
    };
}

#endif
