/* This file is part of the Nepomuk Project
   Copyright (c) 2009 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef _SWIM_CONNECTION_H_
#define _SWIM_CONNECTION_H_

#include <Soprano/Client/SparqlModel>
#include <nepomuk/resourcemanager.h>

class SwimConnection : public Soprano::Client::SparqlModel
{
    Q_OBJECT
    
public:
    SwimConnection( QObject* parent = 0 );
    ~SwimConnection();

    Nepomuk::ResourceManager* resourceManager();

    static SwimConnection* instance();

    /**
     * Marks graphs as created by the current user
     */
    Soprano::Error::ErrorCode addStatement( const Soprano::Statement& s );

    QUrl userResourceUri() const;

    using SparqlModel::addStatement;

public Q_SLOTS:
    void updateConnectionSettings();

private:
    Nepomuk::ResourceManager* m_resourceManager;
};

#endif
