/* This file is part of the Nepomuk Project
   Copyright (c) 2008-2009 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef _LINO_UTILS_H_
#define _LINO_UTILS_H_

#include <KUrl>

namespace Lino {
    QString bugStateString( const QUrl& state );

    /**
     * Tries to determine the resource type (of the thing which would have
     * the provided resource as grounding occurrence) from the URL.
     *
     * This is mostly a hack.
     */
    QUrl determineResourceTypeFromUrl( const KUrl& url );

    /**
     * Another hack to extract a usable title for resources
     * from Mandriva forum and Hardware for Linux web titles.
     *
     * It only uses hardcoded very simple patterns.
     */
    QString cleanupPageTitle( const QString& title );

    /**
     * very stupid string distance
     */
    qreal calculateDistance( const QString& s1, const QString& s2 );

    QString capitalize( const QString& );

    enum QueryType {
        AndQuery,
        OrQuery
    };

    /**
     * Virtuoso does not support plain numbers or punctuation and needs all
     * words combined via OR or AND.
     */
    QString buildVirtuosoFullTextQuery( const QString& s, QueryType type = AndQuery );
}

#endif
