/* This file is part of the Nepomuk Project
   Copyright (c) 2009 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef _ANNOTATION_RECOMMENDATION_MODEL_H_
#define _ANNOTATION_RECOMMENDATION_MODEL_H_

#include <nepomuk/abstractannotationmodel.h>

namespace Soprano {
    namespace Util {
        class AsyncResult;
    }
}

class AnnotationRecommendationModel : public Nepomuk::AbstractAnnotationModel
{
    Q_OBJECT

public:
    AnnotationRecommendationModel( QObject* parent );
    ~AnnotationRecommendationModel();

    QMimeData* mimeData( const QModelIndexList& indexes ) const;
    QStringList mimeTypes( ) const;
    Qt::ItemFlags flags( const QModelIndex& index ) const;

    QModelIndexList indexListFromMimeData( const QMimeData* mimeData ) const;

private Q_SLOTS:
    void slotRemoteResultReady( Soprano::Util::AsyncResult* result );

private:
    void doUpdateAnnotations();
    void createMandrivaAnnotations();
    void createStateAnnotations();

    Soprano::Util::AsyncResult* m_lastResult;
};

#endif
