/* This file is part of the Nepomuk Project
   Copyright (c) 2009 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef _FORUM_POST_H_
#define _FORUM_POST_H_

#include <QtCore/QSharedDataPointer>

class QUrl;
class KUrl;
class ForumThread;
namespace DOM {
    class HTMLDocument;
}

class ForumPost
{
public:
    ForumPost();
    ForumPost( const ForumPost& );
    ~ForumPost();
    ForumPost& operator=( const ForumPost& );

    bool isValid() const;

    ForumThread thread() const;

    QUrl resourceUri() const;
    KUrl webLink() const;
    QString title() const;

    static ForumPost parsePost( const KUrl& url, const DOM::HTMLDocument& doc );

private:
    class Private;
    QSharedDataPointer<Private> d;
};

#endif
