/* This file is part of the Nepomuk Project
   Copyright (c) 2009 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#include "forumthread.h"
#include "forumpost.h"

#include <QtCore/QSharedData>

#include <KUrl>

#include <dom/html_document.h>


class ForumThread::Private : public QSharedData
{
public:
    QUrl resourceUri;
    KUrl webLink;
};


ForumThread::ForumThread()
    : d( new Private() )
{
}


ForumThread::ForumThread( const ForumThread& other )
{
    d = other.d;
}


ForumThread::~ForumThread()
{
}


bool ForumThread::isValid() const
{
    return !d->resourceUri.isEmpty();
}


ForumThread& ForumThread::operator=( const ForumThread& other )
{
    d = other.d;
    return *this;
}


QUrl ForumThread::resourceUri() const
{
    return d->resourceUri;
}


KUrl ForumThread::webLink() const
{
    return d->webLink;
}


ForumThread ForumThread::parseThread( const KUrl& url, const DOM::HTMLDocument& doc )
{
    // TODO: do some actual parsing
    ForumThread thread;
    thread.d->webLink = url;
    thread.d->resourceUri = url;
    return thread;
}
