/* This file is part of the Nepomuk Project
   Copyright (c) 2009 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#include "sidebar.h"
#include "sidebarwidget.h"

#include <KDebug>

Sidebar::Sidebar( const KComponentData& componentData, QObject* parent, QWidget* widgetParent, QString& desktopName, const char* name )
    : KonqSidebarPlugin( componentData, parent, widgetParent, desktopName, name )
{
    m_widget = new SidebarWidget( widgetParent );
    connect( m_widget, SIGNAL( requestURL( KUrl ) ),
             this, SIGNAL( openUrlRequest( KUrl ) ) );
}


Sidebar::~Sidebar()
{
}


QWidget* Sidebar::getWidget()
{
    return m_widget;
}


void* Sidebar::provides( const QString& )
{
    return 0;
}


void Sidebar::handleURL( const KUrl& url )
{
    m_widget->setUrl( url );
}



extern "C"
{
    KDE_EXPORT KonqSidebarPlugin* create_konq_swimsidebar( const KComponentData& componentData, QObject* par, QWidget* widp, QString& desktopname, const char* name )
    {
        return new Sidebar( componentData, par, widp, desktopname, name );
    }
};
