/* This file is part of the Nepomuk Project
   Copyright (c) 2009 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef _SWIM_SIDEBAR_H_
#define _SWIM_SIDEBAR_H_

#include <konqsidebarplugin.h>
#include <kparts/browserextension.h>

class SidebarWidget;

class Sidebar : public KonqSidebarPlugin
{
    Q_OBJECT

public:
    Sidebar( const KComponentData& componentData, QObject* parent, QWidget* widgetParent, QString& desktopName, const char* name );
    ~Sidebar();

    QWidget* getWidget();
    void* provides( const QString& );

Q_SIGNALS:
    void openUrlRequest( const KUrl& url, 
                         const KParts::OpenUrlArguments &args = KParts::OpenUrlArguments(),
                         const KParts::BrowserArguments& browserArgs = KParts::BrowserArguments() );

protected:
    void handleURL( const KUrl& url );

private:
    SidebarWidget* m_widget;
};

#endif
